<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class WebsiteRequest extends FormRequest {

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize() {
        return true;
    }

    /**
     * Get the validation rules that apply to the CategoryRequest.
     *
     * @return array
     */
    public function rules() {
        switch ($this->method()) {
            case 'GET':
            case 'DELETE': {
                    return [];
                }
            case 'POST': {
                    return [
                        'name' => 'required|max:100',
                        // 'slug' => 'required|unique:websites,code|max:100',
                        'company_name' => 'required|max:100',
                        'email' => 'required|max:100',
                        'phone' => 'required|max:100',
                        'mobile' => 'required|max:100',
                        'address_line_1' => 'required',
                        'city' => 'required|max:100',
                        'country' => 'required|max:100'
                    ];
                }
            case 'PUT':
            case 'PATCH': {
                    return [
                        'name' => 'required|max:100',
                            // 'slug' => 'required|max:100|unique:websites,code,' . $this->id,
                    ];
                }
            default:break;
        }
    }

    /**
     * Get custom messages for validator errors.
     *
     * @return array
     */
    public function messages() {
        return [
            'name.required' => 'Please provide store name.',
            'name.max' => 'Maximum length of store name could be 64 characters.',
            'email.required' => 'Please provide store email.',
            'email.unique' => 'The store email already exist.',
            'template.required' => 'Please prse provide store unit number.',
            'unit_number.max' => 'Maximum length of store unit number could be 64 characters.',
            'store_image.mimes' => 'Store image must be of type PNG, JPG / JPEG.'
        ];
    }

}
