<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePackagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('packages', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('creator_by')->unsigned()->nullable();
            $table->string('name', 45)->nullable();
            $table->string('code', 45)->nullable();
            $table->decimal('price')->nullable();
            $table->integer('package_duration')->nullable();
            $table->json('items');
            $table->text('content')->nullable();
            $table->foreign('creator_by')->references('id')->on('users')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('packages');
    }
}
