@extends('back-office.layouts.main-layout')
@section('content')
    <div class="content">
        <div class="container-fluid">
            <div class="page-title-box">
                <div class="row align-items-center">

                    <div class="col-sm-6">
                        <h4 class="page-title">Dashboard</h4>
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item active">Welcome to Webbbco Dashboard</li>
                        </ol>
                    </div>
                    
                </div>
            </div>

            <div class="row">
                <div class="col-xl-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="mt-0 header-title mb-4">Websites</h4>
                            <div class="table-responsive">
                                <table class="table table-hover">
                                    <thead>
                                    <tr>
                                        <th scope="col">(#) Id</th>
                                        <th scope="col">Website Name</th>
                                        <th scope="col">Company Name</th>
                                        <th scope="col">Email</th>
                                        <th scope="col">Phone</th>
                                        <th scope="col">Mobile</th>
                                        <th scope="col">Country</th>
                                        <th scope="col">Domain</th>
                                        <th scope="col">Date</th>
                                        <th scope="col">Status</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($websites as $indexKey => $website)
                                    <tr>
                                        <th scope="row">#{{ $indexKey + 1 }}</th>
                                        <td>{{ $website->name }}</td>
                                        <td>{{ $website->company_name }}</td>
                                        <td>{{ $website->email }}</td>
                                        <td>{{ $website->phone }}</td>
                                        <td>{{ $website->mobile }}</td>
                                        <td>{{ $website->country }}</td>
                                        <td>{{ $website->domain }}</td>
                                        <td>{{ $website->created_at }}</td>
                                        <td>
                                            Active
                                            {{--@if($website->status ==1)
                                                Active
                                            @else
                                                Inactive
                                            @endif--}}
                                        </td>
                                        <td>
                                            <div>
                                                <a target="_blank" href="{{url('/website/preview/'.$website->slug)}}" class="btn btn-primary btn-sm"><i class="fa fa-eye"></i></a>
                                            </div>
                                        </td>
                                    </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div>
        <!-- container-fluid -->
    </div>
@endsection
